#include <bits/stdc++.h>
using namespace std;
using ll = long long;
using pll = pair<ll,ll>;
/*struct segtree{
    ll n;
    vector<ll> t;
    vector<ll> add;
    segtree(vector<ll> &zxc){
        n = zxc.size();
        t.resize(4 * n);
        add.resize(4 * n);
        build(0, 0, n-1,zxc);
    }
    ll F(ll a, ll b){
        return max(a,b);
    }
    void build (ll v,ll l, ll r,vector<ll> &a){
        if(l ==  r){
            t[v] = a[l];
            return;
        }
        ll m = (l + r)/2;
        build(v * 2 + 1,l,m,a);
        build(v * 2 + 2,m + 1,r,a);
        t[v] = F(t[v * 2 + 1], t[v * 2 + 2]);
    }
    void push (ll v){
        if(2 * v + 2 >= 4 * n){
            return;
        }
        t[v] = add[v];
        add[2 * v + 1] = add[v];

    }
};*/
/*vector<bool> used;
vector<vector<ll>> g;
void dfs(ll v){
    used[v] = true;
    for(auto u : g[v]){
        if(!used[u]){
            dfs(u);
        }
    }
}*/
//vector<ll>
const ll inf = 1e17;
/*ll stsl (ll n, ll q, vector<ll> a, vector<vector<ll>> &gr, ll tec,ll last){
    if(tec == n){
        ll anss = 0;
        for(int i = 0; i < q; i++){
            ll mx = -inf;
            if(gr[i].size() == 0){
                gr[last].pop_back();
                return -inf;
            }
            for(int j = 0; j < gr[i].size(); j++){
                mx = max(mx,gr[i][j] + j + 1);
            }
            anss +=mx;
        }
        gr[last].pop_back();
        return anss;
    }
    ll anss = 0;
    for(int i = 0; i < q; i++){
        gr[i].push_back(a[tec]);
        anss = max(stsl(n,q,a,gr,tec+1,i),anss);
    }
    gr[last].pop_back();
    return anss;
}*/
void deb(vector<ll> a){
    for(auto v : a){
        cout << v << " ";
    }
    cout << '\n';
}
int main() {
    ll n,m,t;
    cin >> n >> m >> t;
    vector<ll> a(n);
    vector<ll> b(m);
    ll mn = inf;
    for(int i = 0; i < n; i++){
        cin >> a[i];
        mn = min(a[i],mn);
    }
    for(int i = 0;i < m; i++){
        cin >> b[i];
    }
    cout << t/mn;

}
/*
 * 5 5 10
4 5 2 7 1
 1 2 3 4 5
 */